#ifndef OCPP_H_
#define OCPP_H_

#include <stdint.h>
#include <stdbool.h>

/**
 * @brief Start ocpp
 */
void ocpp_start();

/**
 * @brief Stop ocpp
 *
 */
void ocpp_stop(void);

bool ocpp_get_enabled(void);

void ocpp_get_server(char *value);

void ocpp_get_rfid(char *value);

void ocpp_set_enabled(bool value);

void ocpp_set_server(char *value);

void ocpp_set_rfid(char *value);

void ocpp_begin_transaction(char *value);

void ocpp_end_transaction(char *value);

void ocpp_begin_transaction_authorized(char *value);

void ocpp_end_transaction_authorized(char *value);

bool ocpp_is_TransactionActive();

void ocpp_set_plugged(bool value);

void ocpp_set_charging(bool value);

#endif /* OCPP_H_ */
